Packages - Packaging Request #3359

[bombadillo] Package bombadillo terminal browser for gemini and gopher
2022-10-06 01:17 PM - wael

Status: fixed % Done: 80%
Priority: bug

Assignee: wael

Category:

Description

I've tested and attached the PKGBUILD.
The rationale behind this ticket is having one browser that is:

1. Available on the command line

2. Supports gemini and gopher at once.
As there are currently other browsers packaged in Parabola, but they only apply to one of the points above: not both at the
same time.
It also has the added benefits of supporting the finger protocol and browsing local files.
If telnet is available on the system then it can also be opened in it and that also goes for the web if lynx, w3m or elinks are
available on the system.

| didn't need to change much other than adding the armv7h build option.

History

#1 - 2022-10-06 07:48 PM - bill-auger

i checked it out - it runs well; and i like that it handles both gopher and gemini - so it is an improvement beyond the current option 'amfora’, and
comparable to lagrange for the CLI

the licensing is not great; but unlike 'gmni', the README does note that the source code license is GPLv3 - it includes no other works; so that is
perhaps sufficient - i wrote to the author for clarification though

one thing i would suggest is to ask the AUR maintainer about the 'arm' arch - AFAIK that is useless for any arch-like distro
i would suggest this change:

—arch=('x86_64"' 'i686' 'arm')
+arch=('x86_64"' 'i686' 'armv7h' 'aarch64')

#2 - 2022-10-06 09:08 PM - bill-auger

the author replied already, to say that all source code is original to the project, and that the intention was actually GPLv3-or-later - the README is the
only license indication now, which explicitly specifies GPLv3; but im satisfied personally that it meets the FSDG

would you consider working with the upstream to make the licensing more clear?

i built the packages and put them in [pcr-testing] for now - please try them out, and verify that they install and work fully as expected

#3 - 2022-10-07 06:12 AM - wael

Yes sure, I'll try to contact the AUR maintainer to do the arch change and I'll work on a patchset to clarify licensing and submit it upstream.
As for the package in PCR-testing, it seems to work fine and as expected on my system: handling both gopher and gemini, though HTTP doesn't
seem to be enabled (do we want to enable HTTP and telnet? Or keep it simple?).

#4 - 2022-10-07 09:14 AM - bill-auger

it may be good to see how well the HTTP support is - i use links
a lot - maybe this is a good all-in-one replacement

#5 - 2022-10-07 11:28 AM - wael
I'll try compiling it with support for HTTP and telnet and report back, as far as | understood though it doesn't implement its own engine but relies on

having w3m, lynx or elinks installed.

#6 - 2022-10-07 11:33 AM - bill-auger

that extra feature doesnt seem so useful then - its not like there are cross-links from gopher or genimi to HTTP servers - if it also requires the CLI web
browser of your choice to be installed, then is it merely a wrapper (effectively an alias)?

or does it offer something in addition to simply forking/shelling another program?

for example, does it have like "tabs" maybe; so the same running instance could hold a gopher hole and a website?
#7 - 2022-10-11 01:37 PM - bill-auger

- Assignee set to wael

- Status changed from open to fixed

just to note, that the bombadillo upstream was very responsive, and has already applied our proposed changes, to clarify the licensing

we can consider this ticket 'fixed' for now - if there are any changes for the PKGBUILD, just send them to the mailing list or pagure

Files
PKGBUILD 1.23 KB 2022-10-06 wael
001-Makefile.patch 1.7 KB 2022-10-06 wael
